karaf-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Alexander Sahler (JIRA)" <j...@apache.org>
Subject [jira] [Created] (KARAF-4529) deployment of feature containing bundles with camel blueprint routes fail
Date Tue, 17 May 2016 06:57:12 GMT
Alexander Sahler created KARAF-4529:
---------------------------------------

             Summary: deployment of feature containing bundles with camel blueprint routes
fail
                 Key: KARAF-4529
                 URL: https://issues.apache.org/jira/browse/KARAF-4529
             Project: Karaf
          Issue Type: Bug
          Components: karaf-feature
    Affects Versions: 4.0.5
         Environment: Java HotSpot(TM) 64-Bit Server VM (build 25.66-b17, mixed mode)
Linux dbserver-p2 3.16.0-4-amd64 #1 SMP Debian 3.16.7-ckt11-1+deb8u6 (2015-11-09) x86_64 GNU/Linux
            Reporter: Alexander Sahler
            Priority: Blocker


When using the feature mechanism to deploy bundles containing blueprint files with camel routes,
the deployment fails with exception
{code}
2016-05-13 13:21:05,172 | ERROR | nsole user karaf | ShellUtil                        | 107
- org.apache.karaf.shell.core
- 4.0.5 | Exception caught while executing command
org.osgi.service.resolver.ResolutionException: Unable to resolve root: missing requirement
[root] osgi.identity; osgi.iden
tity=pmc-impl; type=karaf.feature; version="[1.4.0.SNAPSHOT,1.4.0.SNAPSHOT]"; filter:="(&(osgi.identity=pmc-impl)(type=kar
af.feature)(version>=1.4.0.SNAPSHOT)(version<=1.4.0.SNAPSHOT))" [caused by: Unable to
resolve pmc-impl/1.4.0.SNAPSHOT: mis
sing requirement [pmc-impl/1.4.0.SNAPSHOT] osgi.identity; osgi.identity=pmc-impl; type=osgi.bundle;
version="[1.4.0.SNAPSH
OT,1.4.0.SNAPSHOT]"; resolution:=mandatory [caused by: Unable to resolve pmc-impl/1.4.0.SNAPSHOT:
missing requirement [pmc
-impl/1.4.0.SNAPSHOT] osgi.service; effective:=active; filter:="(&(objectClass=org.apache.aries.blueprint.NamespaceHandler
)(osgi.service.blueprint.namespace=http://camel.apache.org/schema/blueprint))"]]
        at org.apache.felix.resolver.ResolutionError.toException(ResolutionError.java:42)[org.apache.felix.framework-5.4.0
.jar:]
        at org.apache.felix.resolver.ResolverImpl.resolve(ResolverImpl.java:235)[org.apache.felix.framework-5.4.0.jar:]
        at org.apache.felix.resolver.ResolverImpl.resolve(ResolverImpl.java:158)[org.apache.felix.framework-5.4.0.jar:]
        at org.apache.karaf.features.internal.region.SubsystemResolver.resolve(SubsystemResolver.java:216)[9:org.apache.ka
raf.features.core:4.0.5]
        at org.apache.karaf.features.internal.service.Deployer.deploy(Deployer.java:263)[9:org.apache.karaf.features.core:
4.0.5]
        at org.apache.karaf.features.internal.service.FeaturesServiceImpl.doProvision(FeaturesServiceImpl.java:1152)[9:org
.apache.karaf.features.core:4.0.5]
        at org.apache.karaf.features.internal.service.FeaturesServiceImpl$1.call(FeaturesServiceImpl.java:1048)[9:org.apac
he.karaf.features.core:4.0.5]
        at java.util.concurrent.FutureTask.run(FutureTask.java:266)[:1.8.0_66]
        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142)[:1.8.0_66]
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617)[:1.8.0_66]
        at java.lang.Thread.run(Thread.java:745)[:1.8.0_66]
{code}

However, when I install all the dependencies in the feature manually in the console (via install
-s) and the bundle itself the same way, the deployment works perfectly!



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message